<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="../../../stylesheets/milestone-bulletList.xsl"?>
<plan xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../milestonePlan.xsd">
	<component name="jsp" subproject="jst">
		<description>Milestone planning for JSP Component</description>
		<milestone name="M10">
			<title>1.0M10 Plan - updated 9/26/2005</title>
			<category name="Design for Platform Use">
				<detail>Provide API to embed source page editor in multipage editors and improve integration with the Eclipse platform</detail>
				<item priority="medium" status="new">
					<description>Continue to Document Designs and API, create JUnit and Performance Tests</description>
					<detail>
						Create more JUnit tests, verify performance runs.
					</detail>
				</item>
			</category>
			<category name="Performance">
			<detail>Improve memory usage, performance, and thread safety</detail>
				<item priority="medium" status="new">
					<description>Improve formatter performance</description>
					<detail>We believe the main problem is excessive notifications for formatting large areas of text. We should be able to know that formatting is happening, and perform all edits at once with minimal notifications of elements changing, especially since it's "only" whitespace being changed.</detail>
				</item>
				<item priority="low" status="new">
					<description>Update parser to latest JFlex runtime</description>
					<detail>The current parser is built using JFlex 1.2.2, which is several versions old.  Later versions are also more configurable.</detail>
				</item>
			</category>
			<category name="Quality">
				<item priority="medium" status="investigate" helpWanted="true">
					<description>Write on-line documentation.</description>
					<developer name="DMW" />
					<developer name="NSD" />
				</item>
			</category>
		</milestone>
	</component>
</plan>
